Skip to content
Start here

List Pipelines

client.pipelines.listV1(PipelineListV1Params { account_id, page, per_page } params, RequestOptionsoptions?): V4PagePaginationArray<PipelineListV1Response { id, created_at, modified_at, 3 more } >
GET/accounts/{account_id}/pipelines/v1/pipelines

List/Filter Pipelines in Account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
ParametersExpand Collapse
params: PipelineListV1Params { account_id, page, per_page }
account_id: string

Path param: Specifies the public ID of the account.

page?: number

Query param

per_page?: number

Query param

ReturnsExpand Collapse
PipelineListV1Response { id, created_at, modified_at, 3 more }
id: string

Indicates a unique identifier for this pipeline.

created_at: string
modified_at: string
name: string

Indicates the name of the Pipeline.

maxLength128
minLength1
sql: string

Specifies SQL for the Pipeline processing flow.

status: string

Indicates the current status of the Pipeline.

List Pipelines

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const pipelineListV1Response of client.pipelines.listV1({
  account_id: '0123105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(pipelineListV1Response.id);
}
{
  "result": [
    {
      "id": "01234567890123457689012345678901",
      "created_at": "created_at",
      "modified_at": "modified_at",
      "name": "my_pipeline",
      "sql": "insert into sink select * from source;",
      "status": "status"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "01234567890123457689012345678901",
      "created_at": "created_at",
      "modified_at": "modified_at",
      "name": "my_pipeline",
      "sql": "insert into sink select * from source;",
      "status": "status"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 0,
    "per_page": 10,
    "total_count": 1
  },
  "success": true
}